package vip.xiaonuo.coldchain.core.service.dataprocess.model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/12 13:00:25
 */
public interface ColdChainMessageData extends java.io.Serializable {


    // 默认的时间字段，返回当前时间
    default LocalDateTime getTimestamp() {
        return LocalDateTime.now();
    }

    Serializable getDeviceId();
}
